/*                                                                                 
 *  pref.h: Preferences
 *
 *  Copyright (C) 2010- John Coppens (john@jcoppens.com)        
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 3 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *  
 *  You should have received a copy of the GNU Library General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#define CONF_PATH "/apps/gWcalc/preferences"

enum {	OP_SIMPLE,
	OP_NORMAL,
	OP_PROGRAMMER
};

typedef struct {
  // History
  char	allowdups,		////
	updatehist,		////
	recorderrors,		//// Include errors in history
	limit;			//// Limit history length

  int	limitlength;		//// History length limit (if enabled)

  // General settings
  char	gen_guard,		// Conservative/accuracy guard
	gen_stayontop,		// Keep the calculator above other windows
	gen_liveprec,		//// Live precision
	gen_showborders,	// Show the borders around the window
	gen_showmenu,		// Show the menu
	*gen_decsep,		// Decimal separator character
	*gen_1000sep;		// 1000s separator

  int	gen_mode,		// Operating mode: Simple/Normal/Programmer
	gen_intprecision;

  // Answer display
  char	dsp_mode,		// Dec/ Hex/ Bin/ Oct
	dsp_prefixes,		//// Use prefixes on output
	dsp_wholeints,		////
	dsp_delimiters,		//// Delimiters
	*dsp_engineering,	// Engineering mode (auto|never|always)
	*dsp_rounding;		// Rounding mode (none|simple|sig_fig)

  int	dsp_maxprecision;	// Maximum selectable precision

  // Parsing expressions
  char	exp_parseundef,		//// Parse undefined varibales
	exp_useradians,		// Use radians
	gen_cmod;		//// Use the C 'mod' operator (%)

  // Fonts
  char	*font_formula,		// Set the formula font
	*font_result;		// Set the result font
} preferences;

extern preferences pref;

void	load_preferences(void);
void	save_preferences(void);
void	parse_preferences(void);
void	show_preferences(void);
	